Module java.base
Package java.nio.file

# Class AccessDeniedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.FileSystemException
java.nio.file.AccessDeniedException

All Implemented Interfaces:
  `Serializable`

public class AccessDeniedException extends FileSystemException
Checked exception thrown when a file system operation is denied, typically due to a file permission or other access check.

This exception is not related to the `AccessControlException` or `SecurityException` thrown by access controllers or security managers when access to a file is denied.

Since:
  1.7
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessDeniedException(String file)`
Constructs an instance of this class.
`AccessDeniedException(String file, String other, String reason)`
Constructs an instance of this class.

## Method Summary

### Methods declared in class java.nio.file.FileSystemException

`getFile, getMessage, getOtherFile, getReason`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessDeniedException

public AccessDeniedException(String file)
Constructs an instance of this class.

Parameters:
  `file` - a string identifying the file or `null` if not known

### AccessDeniedException

public AccessDeniedException(String file, String other, String reason)
Constructs an instance of this class.

Parameters:
  `file` - a string identifying the file or `null` if not known
  `other` - a string identifying the other file or `null` if not known
  `reason` - a reason message with additional information or `null`